﻿var stopTime;
var whichImage = 0;
var seconds = 1;
var waitingTime = 1000;
var blnPlaying = true;

// --------------------------------------------------------------------
// Display the Daily.
// --------------------------------------------------------------------
function populateDaily()
{
  blnPlaying = true;
  seconds = seconds-1;
  stopTime = setTimeout("populateDaily()", waitingTime); 
  if (seconds == 0)
  {
    seconds = 6;
    if (whichImage >= imageArray.length)
    {
      whichImage =0;
    }
    document.getElementById("dateText").innerHTML = '<strong>In the news</strong>';
    document.getElementById("topLink").href = linkArray[whichImage];
    document.getElementById("topLink").title= altArray[whichImage];
    document.getElementById("topLink").innerHTML = titleText[whichImage];
  	document.getElementById("moreLink").innerHTML = '<span onclick="clicked(\'http://www.statcan.gc.ca'+linkArray[whichImage]+'\');" class="link">'+"Full story..." +'<\/span>';
	document.getElementById("boutonalign").innerHTML = '<a href="javascript:previousDaily()"><img src="previous.png" alt="Previous" /><\/a>&nbsp;';
	document.getElementById("boutonalign").innerHTML = document.getElementById("boutonalign").innerHTML + '<a href="javascript:playDaily()"><img src="play.png" alt="Play" /><\/a>&nbsp;';
	document.getElementById("boutonalign").innerHTML = document.getElementById("boutonalign").innerHTML + '<a href="javascript:stopDaily()"><img src="pause.png" alt="Pause" /><\/a>&nbsp;';
  	document.getElementById("boutonalign").innerHTML = document.getElementById("boutonalign").innerHTML + '<a href="javascript:nextDaily()"><img src="next.png" alt="Next" /><\/a>&nbsp;';
	whichImage = whichImage +1;
  }
}

function stopDaily()
{
  clearTimeout(stopTime);
  blnPlaying = false;
}

function playDaily()
{
  	if (!blnPlaying)
	{
		stopTime = setTimeout("populateDaily()", waitingTime);
		blnPlaying = true;
	}
}

function nextDaily()
{
  if (whichImage < ((imageArray.length)-1))
  {
    whichImage = whichImage +1;
  }
  else
  {
    whichImage = 0;
  }
  document.getElementById("topLink").href = linkArray[whichImage];
  document.getElementById("topLink").title= altArray[whichImage];
  document.getElementById("topLink").innerHTML = titleText[whichImage];
  document.getElementById("moreLink").innerHTML = '<span onclick="clicked(\'http://www.statcan.gc.ca'+linkArray[whichImage]+'\');" class="link">'+"Full story..." +'<\/span>'; 
}

function previousDaily()
{
  if (whichImage <= ((imageArray.length)-1) && whichImage !=0)
  {
    whichImage = whichImage -1;
  }
  else
  {
    if (whichImage == 0)
    {
      whichImage = whichImage + ((imageArray.length)-1);
    }
    else
    {
      whichImage = 0;
    }
  }
  document.getElementById("topLink").href = linkArray[whichImage];
  document.getElementById("topLink").title= altArray[whichImage];
  document.getElementById("topLink").innerHTML = titleText[whichImage];
  document.getElementById("moreLink").innerHTML = '<span onclick="clicked(\'http://www.statcan.gc.ca'+linkArray[whichImage]+'\');" class="link">'+"Full story..." +'<\/span>'; 	  
}

function showError(){
	whichImage = 0;
	seconds = 1;
	blnPlaying = false;	
	clearTimeout(stopTime);
	document.getElementById("topLink").innerHTML = '';
	document.getElementById("moreLink").innerHTML = '';
	document.getElementById("boutonalign").innerHTML = '';
	document.getElementById('dateText').innerHTML = 'Unable to connect. Please verify your Internet connection or visit <span onclick="clicked(\'http://www.statcan.gc.ca/\');" class="link">www.statcan.gc.ca</span>';
	setTimeout("runDaily()", 10000);
}

function runDaily(){
	whichImage = 0;
	seconds = 1;
	blnPlaying = false;
	clearTimeout(stopTime);	

	var req=new XMLHttpRequest();
	req.onreadystatechange = function()
	{
    	if (req.readyState == 4) {
			// only if "OK"
    	    if (req.status == 200) {
				var element1 = document.createElement("script");
				element1.src = "http://www.statcan.gc.ca/dai-quo/ssi/homepage/dq-4m-eng.js";
				element1.type="text/javascript";
				element1.async=true;
				document.getElementsByTagName("head")[0].appendChild(element1);	
				populateDaily();
    	     } else {
    	        showError();
    	     }
		}		
	}
	
	req.open("GET","http://www.statcan.gc.ca/start-debut-eng.html",true);
	req.send(null);
}	

function clicked(url)
{
	if (widget)
	{
		widget.openURL(url);
	}
}